Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gecco.server.actsofgod
Class ActsOfGod

    java.lang.Object
      java.lang.Thread
          gecco.util.SignalThread
              gecco.server.actsofgod.ActsOfGod

All Implemented Interfaces:
  Runnable, SignalRunnable

public class ActsOfGod
extends SignalThread

Description of the Class

Author:
  Karl Hasselström

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Fields inherited from interface gecco.util.SignalRunnable
`SIGKILL, SIGNONE, SIGPAUSE, SIGQUIT, SIGRESUME`

Constructor Summary
`ActsOfGod()` Constructor for the ActsOfGod object

Method Summary
`void` | `addAct(String eventName, int factor, double x, double y, double time)` Adds a feature to the Act attribute of the ActsOfGod object
`void` | `run()` Main processing method for the ActsOfGod object

Methods inherited from class gecco.util.SignalThread
`clearSignal, current, pauseHandler, sendSignal, signalPending`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ActsOfGod

    public ActsOfGod()

  Constructor for the ActsOfGod object

Method Detail

### addAct

    public void addAct(String eventName,
                       int factor,
                       double x,
                       double y,
                       double time)

  Adds a feature to the Act attribute of the ActsOfGod object

  Parameters:
    `eventName` - The feature to be added to the Act attribute
    `factor` - The feature to be added to the Act attribute
    `x` - The feature to be added to the Act attribute
    `y` - The feature to be added to the Act attribute
    `time` - The feature to be added to the Act attribute

### run

    public void run()

  Main processing method for the ActsOfGod object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD